using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _B__Finale
{
    class Program
    {
        static void Main(string[] args)
        {

            int n, m;

            var ulaz = Console.ReadLine().Split();
            n = int.Parse(ulaz[0]);
            m = int.Parse(ulaz[1]);

            long broj = 2 * (n + m) - 4;

            Console.WriteLine((n * m - broj) / 2 + broj);

        }
    }
}